# $Revision: 1.5 $, $Date: 2012/01/12 19:04:43 $
%define		module		django-extensions
Summary:	Django Custom Management Command Extensions
Name:		python-django_extensions
Version:	0.7.1
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	c82b38a1f82fb4724565ad1bb61652d0
URL:		http://django-command-extensions.googlecode.com/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
# if py_postclean is used
BuildRequires:	rpmbuild(macros) >= 1.219
#%pyrequires_eq	python-libs
%pyrequires_eq	python-modules
Requires:	python-django >= 1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Django Custom Management Command Extensions

%prep
%setup -q -n %{module}-%{version}

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/django_extensions
%{py_sitescriptdir}/django_extensions-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-django_extensions.spec,v $
Revision 1.5  2012/01/12 19:04:43  zbyniu
- up to 0.7.1

Revision 1.4  2011/06/29 07:48:21  cieciwa
- release 1.

Revision 1.3  2011/06/29 07:43:30  cieciwa
- updated to version 0.6
- release 0.1
- changed source location
- updated MD5 sum

Revision 1.2  2010/07/08 08:07:48  arekm
- release 2

Revision 1.1  2010/04/20 12:46:24  baggins
- initial revision

